Package twisted :: Package scripts :: Module mktap :: Class GeneralOptions

[show private | hide private]
[frames | no frames]

## Class GeneralOptions

    UserDict --+
               |
         Options --+
                   |
                  GeneralOptions

Method Summary
| `__init__(self, tapLookup)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_help`(self)` display this message
| `opt_version(self)` (inherited from `Options`)
| `parseArgs(self, *args)`
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`
`string` | `synopsis`

Method Details

### opt_help(self)

display this message

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['xml', 'x', 'DEPRECATED: same as --type=xml'],
         ['source', 's', 'DEPRECATED: same as --type=source'],
         ['encrypted', 'e', 'Encrypt file before writing'],
         ['progress', 'p', 'Show progress of plugin loading'],
         ['debug', 'd', 'Show debug information for plugin loading']]

### optParameters

  Type:
    `list`
  Value:

        [['uid', 'u', '0'],
         ['gid', 'g', '0'],
         ['append',
          'a',
          None,
          'An existing .tap file to append the plugin to, rather than creating\
         a new one.'],
         ['type',
        ...

### synopsis

  Type:
    `string`
  Value:

        '''Usage:    mktap [options] <command> [command options]
         '''

Generated by Epydoc 1.1 on Sat Feb 15 21:19:18 2003 | http://epydoc.sf.net